Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class SelectRevokeAccessRightType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.SelectRevokeAccessRightType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:17:14+01:00",
               comments="JAXB RI v2.3.6")
    public class SelectRevokeAccessRightType

extends Object
implements Serializable

Java class for SelectRevokeAccessRightType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SelectRevokeAccessRightType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionIdType"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicHcPartyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SelectRevokeAccessRightType()`

Method Summary
`BasicHcPartyType` | `getHcparty()` Gets the value of the hcparty property.
`TransactionIdType` | `getTransaction()` Gets the value of the transaction property.
`void` | `setHcparty(BasicHcPartyType value)` Sets the value of the hcparty property.
`void` | `setTransaction(TransactionIdType value)` Sets the value of the transaction property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectRevokeAccessRightType

    public SelectRevokeAccessRightType()

Method Detail

### getTransaction

    public TransactionIdType getTransaction()

  Gets the value of the transaction property.

  Returns:
    possible object is `TransactionIdType`

### setTransaction

    public void setTransaction(TransactionIdType value)

  Sets the value of the transaction property.

  Parameters:
    `value` - allowed object is `TransactionIdType`

### getHcparty

    public BasicHcPartyType getHcparty()

  Gets the value of the hcparty property.

  Returns:
    possible object is `BasicHcPartyType`

### setHcparty

    public void setHcparty(BasicHcPartyType value)

  Sets the value of the hcparty property.

  Parameters:
    `value` - allowed object is `BasicHcPartyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.